using Perforce.Helper;
using Perforce.Model;
using Perforce.ViewModel;
using System.Windows;
using System.Windows.Controls;

namespace Perforce.View {
    /// <summary>
    /// Interaction logic for TagSelector.xaml
    /// </summary>
    public partial class TagSelector : UserControl {

        private TagSelectorViewModel _model;

        public TagSelector(FavoriteTagItem item) {
            InitializeComponent();
            _model = new TagSelectorViewModel(item);
            this.DataContext = _model;
        }

        private void MenuItem_Click(object sender, RoutedEventArgs e) {
            MenuItem mi = sender as MenuItem;
            switch (mi.Header.ToString().ToUpper()) {
                case ("EDIT"):
                    break;
                case ("DELETE"):
                    CommandHelper.RemoveFromTags(_model.Item);
                    break;
            }
        }

        private void TagSelector_MouseLeftButtonUp(object sender, System.Windows.Input.MouseButtonEventArgs e) {
            _model.Selected = !_model.Selected;
        }
    }
}
